Page MenuHomePhabricator

mpga: Value "undefined edits" for property "editCountBucket"
Closed, ResolvedPublic2 Story Points

Description

[Popups] Value "undefined edits" for property "editCountBucket" is not one of ["0 edits","1-4 edits","5-99 edits","100-999 edits","1000+ edits"]

Seen on http://reading-web-staging.wmflabs.org/w/index.php?title=Main_Page&debug=true as a logged out user

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 1 2017, 6:50 AM
phuedx added a comment.Feb 1 2017, 9:31 AM

This is because the editCountBucket property is set regardless of whether the user is logged in. This should be trivial to fix (and equally trivial to write a test case for).

phuedx added a comment.Feb 1 2017, 9:31 AM

Nice spot @Jhernandez ๐Ÿ™

phuedx triaged this task as High priority.Feb 1 2017, 5:15 PM
phuedx added a project: Readers-Web-Backlog.
phuedx moved this task from To Triage to Upcoming on the Readers-Web-Backlog board.
phuedx set the point value for this task to 2.Feb 2 2017, 10:21 AM

2 as there's a little cleanup that can be done to make this change even simpler: the BOOT-related part of the mw.popups.reducers.eventLogging reducer should be extracted into a helper function.

What's the the BOOT-related part of the mw.popups.reducers.eventLogging reducer ? Not clear to me what you mean here.

Oh you mean BOOT event not boot.js :) Still not 100% clear what you had in mind here. Would the helper function return base data?

phuedx added a comment.Feb 2 2017, 7:10 PM

Oh you mean BOOT event not boot.js :) Still not 100% clear what you had in mind here. Would the helper function return base data?

The BOOT action, yes.

The function would return everything that's assigned to state.baseData.

phuedx claimed this task.Feb 3 2017, 11:05 AM
phuedx moved this task from To Do to Doing on the Reading-Web-Sprint-91-๐Ÿ”๐Ÿ” board.

Change 336210 had a related patch set uploaded (by Phuedx):
Hygiene: Extract helper from eventLogging reducer

https://gerrit.wikimedia.org/r/336210

Change 336211 had a related patch set uploaded (by Phuedx):
Don't log editCountBucket when user is logged out

https://gerrit.wikimedia.org/r/336211

I admit that 2 may have been a little on the high side /cc @MBinder_WMF.

Change 336210 merged by jenkins-bot:
Hygiene: Extract helper from eventLogging reducer

https://gerrit.wikimedia.org/r/336210

Change 336211 merged by jenkins-bot:
Don't log editCountBucket when user is logged out

https://gerrit.wikimedia.org/r/336211

phuedx removed phuedx as the assignee of this task.Feb 6 2017, 5:30 PM

I admit that 2 may have been a little on the high side /cc @MBinder_WMF.

I think it's fine. It's not a huge discrepancy from 1 or 3 (at least not for this team) and will probably be balanced out by other work in the grand scheme. Thanks for flagging. :)

phuedx assigned this task to Jhernandez.Feb 8 2017, 6:39 PM
Jhernandez closed this task as Resolved.Feb 8 2017, 6:40 PM

Signed off

phuedx added a comment.Feb 8 2017, 6:41 PM

@Jhernandez: As discussed, you raised the bug, you resolve the bug (please ๐Ÿช ).